Get workflow run
GET
/workflow-run/{id}
Path Parameters
idstring · uuid
required
Example:
5aa2ced1-7996-4695-ab8d-ea0f104f2f55Response Body
resultobject
required
errorstring
stepsobject[]
5 properties
actionstring
Example:
run_sync_joberrorstring
resultRecord<string, any>
successboolean
Example:
truetypestring
Example:
runsuccessboolean
created_atstring · date-time
environment_idstring · uuid
finished_atstring · date-time
idstring · uuid
retry_attemptnumber
Example:
0started_atstring · date-time
statusstring
Possible values:
createdrunningcompletedfailed
updated_atstring · date-time
workflow_idstring · uuid
curl -X GET 'https://api.truto.one/workflow-run/{id}' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/workflow-run/{id}', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/workflow-run/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.workflowRun.get('<id>');
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.workflow_runs.get("<id>")
print(result)
asyncio.run(main())